## groovy.model
Class DefaultTableModel.MyTableColumnModel

    java.lang.Object
      javax.swing.table.DefaultTableColumnModel
          groovy.model.DefaultTableModel.MyTableColumnModel

All Implemented Interfaces:
  PropertyChangeListener, Serializable, EventListener, ListSelectionListener, TableColumnModel

Enclosing class:
  DefaultTableModel

    protected static class DefaultTableModel.MyTableColumnModel

extends DefaultTableColumnModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.DefaultTableColumnModel
`changeEvent, columnMargin, columnSelectionAllowed, listenerList, selectionModel, tableColumns, totalColumnWidth`

Constructor Summary
`protected` `DefaultTableModel.MyTableColumnModel()`

Method Summary
`List` `getColumnList()`
`void` `moveColumn(int columnIndex, int newIndex)`
`void` `removeColumn(TableColumn column)`
`void` `renumberTableColumns()`

Methods inherited from class javax.swing.table.DefaultTableColumnModel

`addColumn, addColumnModelListener, createSelectionModel, fireColumnAdded, fireColumnMarginChanged, fireColumnMoved, fireColumnRemoved, fireColumnSelectionChanged, getColumn, getColumnCount, getColumnIndex, getColumnIndexAtX, getColumnMargin, getColumnModelListeners, getColumns, getColumnSelectionAllowed, getListeners, getSelectedColumnCount, getSelectedColumns, getSelectionModel, getTotalColumnWidth, propertyChange, recalcWidthCache, removeColumnModelListener, setColumnMargin, setColumnSelectionAllowed, setSelectionModel, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTableModel.MyTableColumnModel

    protected DefaultTableModel.MyTableColumnModel()

Method Detail

### getColumnList

    public List getColumnList()

### removeColumn

    public void removeColumn(TableColumn column)

  Specified by:
    `removeColumn` in interface `TableColumnModel`
  Overrides:
    `removeColumn` in class `DefaultTableColumnModel`

### moveColumn

    public void moveColumn(int columnIndex,
                           int newIndex)

  Specified by:
    `moveColumn` in interface `TableColumnModel`
  Overrides:
    `moveColumn` in class `DefaultTableColumnModel`

### renumberTableColumns

    public void renumberTableColumns()

Copyright © 2003-2008 The Codehaus. All rights reserved.